MCP Tools Reference: cloudbilling.googleapis.com

Tool: list_billing_account_services

Lists billing account services visible to a billing account.

The following code sample shows how to use curl to call the list_billing_account_services MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_billing_account_services",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for ListBillingAccountServices.

ListBillingAccountServicesRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
parent

string

Required. The billing account to list billing account service from. Format: billingAccounts/{billing_account}

pageSize

integer

Maximum number of billing account service to return. Results may return fewer than this value. Default value is 50 and maximum value is 5000.

pageToken

string

Page token received from a previous ListBillingAccountServices call to retrieve the next page of results. If this field is empty, the first page is returned.

Output Schema

Response message for ListBillingAccountServices.

ListBillingAccountServicesResponse

JSON representation
{
  "billingAccountServices": [
    {
      object (BillingAccountService)
    }
  ],
  "nextPageToken": string
}
Fields
billingAccountServices[]

object (BillingAccountService)

The returned billing account services.

nextPageToken

string

Token that can be sent as page_token in the subsequent request to retrieve the next page. If this field is empty, there are no subsequent pages.

BillingAccountService

JSON representation
{
  "name": string,
  "serviceId": string,
  "displayName": string
}
Fields
name

string

Resource name for the BillingAccountService. Example: "billingAccounts/012345-567890-ABCDEF/services/DA34-426B-A397".

serviceId

string

Identifier for the service. It is the string after the collection identifier "services/". Example: "DA34-426B-A397".

displayName

string

Description of the BillingAccountService. Example: "BigQuery", "Compute Engine".

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌